Skip to main content
GET
Get Workflow Schedule

Authorizations

Authorization
string
header
required

Retrieve your API Key from Dashboard API Keys Section.

Path Parameters

schedule_id
string
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Response

Successful Response

Stores scheduled workflow runs.

workflow_id
string
required

ID of the workflow to run

Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

scheduled_time
string<date-time>
required

The target time for the workflow execution (UTC)

team_id
string | null

ID of the team that owns this edge

created_by
string | null

ID of the user who created this edge

updated_by
string | null

ID of the user who last updated this edge

created_at
string<date-time>
updated_at
string<date-time>
_id
string | null

MongoDB document ObjectID

Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

status
enum<string>
default:pending

Current status of the schedule

Available options:
pending,
in_progress,
completed,
failed,
cancelled
run_input
WorkflowRunInput · object

Inputs and dynamic variables for the workflow run

version
integer | null

Version of the workflow to run

schedule_name
string | null

AWS EventBridge Schedule name (used for deletion)

scheduler_arn
string | null

AWS EventBridge Scheduler ARN

actual_run_id
string | null

Link to the actual WorkflowRunsModel ID once executed

Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

scheduled_by_name
string | null

Display name of the user who created the schedule

error_message
string | null

Error message if the schedule failed to execute